##############################################################################
#
# $Id: GNUmakefile,v 1.4 2005/03/05 21:40:09 nedko Exp $
#
# DESCRIPTION:
#  Top level Makefile for mediadatabase
#
# AUTHOR:
#  Nedko Arnaudov <nedko@users.sourceforge.net>
#
# LICENSE:
#  GNU GENERAL PUBLIC LICENSE version 2
#  
##############################################################################

SUBDIRS = libdb cui gtk libfrontend fuse

.PHONY : default subdirs clean $(SUBDIRS)

default: subdirs

subdirs: $(SUBDIRS)

$(SUBDIRS):
	@echo "------ Entering subdirectory $@"
	@$(MAKE) --no-print-directory -C $@ $(TARGET)
	@echo "------ Leaving subdirectory $@"

clean:
	@echo "Cleaning ..."
	@$(MAKE) --no-print-directory subdirs TARGET=clean
	@echo "Cleaning done."

full_clean:
	@echo "Cleaning (+ dependency fles) ..."
	@$(MAKE) --no-print-directory subdirs TARGET=full_clean
	@echo "Cleaning (+ dependency fles) done."

# Inter-subdir dependencies
cui: libdb libfrontend
gtk: libdb libfrontend
fuse: libdb libfrontend
libfrontend: libdb

##############################################################################
#
# Modifications log:
#
# !!! WARNING !!! Following lines are automatically updated by the CVS system.
#
#   $Log: GNUmakefile,v $
#   Revision 1.4  2005/03/05 21:40:09  nedko
#   new frontend - FUSE
#
#   Revision 1.3  2004/06/20 12:24:21  nedko
#   Use dependency files.
#   Use common tool variables.
#
#   Revision 1.2  2004/05/16 19:06:39  nedko
#   build libfrontend and gtk frontend.
#
#   Revision 1.1  2004/05/02 13:25:03  nedko
#   Use makefile to build mediadatabase.
#
##############################################################################
